org.eclipse.microprofile.fault.tolerance.tck.config

## Class BeanWithRetry

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.config.BeanWithRetry

    @Dependent
     @Retry
    public class BeanWithRetry
    extends Object

Author:
  Antoine Sabot-Durand

### Constructor Summary

Constructors
Constructor and Description
`BeanWithRetry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRetry()`
`void` `triggerException()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanWithRetry

    public BeanWithRetry()

### Method Detail

#### triggerException

    @Retry
    public void triggerException()

#### getRetry

    public int getRetry()